#!/bin/bash
#
# i3abcnewset.sh  version 2.1  replace data set
#

[ $# -ne 2 ] && { echo "usage: $( basename $0 ) oldcycle trf"; exit 1; }

set -e

. ${I3LEGACY}/run/i3setup.sh defs ${1}

unset CLSMIN CLSMAX CLSINC CLSHVO CLSHVM

export SELCLS="${CLASSES}"

# replace

trf=$( basename ${2} )

[ -e ${trf} ] || { echo "$( basename $0 ): file ${trf} does not exist"; exit 1; }

i3d=${trf%.trf}.i3d

[ -e ${i3d} ] && { echo "$( basename $0 ): file ${i3d} already exists"; exit 1; }

cd ${DIR}

cp ${PRFX}-ali.i3d ../${i3d}

cls=$( printf "%03d" ${CLASSES} )

set="${CLS}-${cls}-ali"

i3datadel ../${i3d} ${set}

i3dataimport -dim 3 ../${i3d} ${set} ../${trf}
