#!/bin/bash

# version 3.0

[[ $# -ne 1 && $# -ne 2 && $# -ne 3  ]] && echo "usage: $( basename ${0} ) classdir [lowpass [apod]]" >&2 && exit 1

dir=$( echo ${1} | awk '{ sub( "[/]*$", "" ); print }' )

lp=${2}

apo=${3:-0.05}

[ ! -d ${dir} ] && echo "$( basename ${0} ): ${dir} is not a directory" >&2 && exit 1

set -e

i3concat -dim 4 ${dir}/???-???.avg ${dir}-stk.img

if [ ${lp} ]; then

  i3fourier ${dir}-stk.img ${dir}-stk.fou

  i3mask -md ${lp} ${lp} ${lp} -ms ${apo} ${apo} ${apo} ${dir}-stk.fou

  i3fourier -inv ${dir}-stk.fou ${dir}-stk.img

  rm -f ${dir}-stk.fou

fi

i3montage3d.sh ${dir}-stk.img ${dir}-mont.img

i3permute -perm 1 0 0 0 0 1 0 -1 0 ${dir}-stk.img ${dir}-stk-y.img

i3montage3d.sh ${dir}-stk-y.img ${dir}-y-mont.img

rm -f ${dir}-stk.img ${dir}-stk-y.img
