#!/bin/bash
#
# i3mramsacls.sh  version 2.1  run multireference alignment, MSA and classification
#

[ $# -ne 1 ] && { echo "usage: $( basename $0 ) cycle" >&2; exit 1; }

set -e

[ ${I3PARAM} ] || I3PARAM="mraparam.sh"

. ${I3LEGACY}/run/i3setup.sh defs ${1}

# start alignment

cp -p ${I3PARAM} ${DIR}

cd ${DIR}

i3alignmake.sh ${PRFX}-ref.fou ${MRAOPT}

sh i3alignrun.sh >i3align/submit.log

i3wait.sh i3align

i3combine.sh

# start MSA

i3msastack.sh mra

i3msaexec.sh mra

# start classification

i3classexec.sh mra

i3classavg.sh
