#!/bin/bash
#
# i3remap.sh  version 2.1  map point back from class average to input map
#

[ $# -lt 4 -o $# -gt 7 ] && { echo "usage: $( basename $0 ) cycle mode [nr-classes class-nr] x y z" >&2; exit 1; }

set -e

[ ${I3PARAM} ] || I3PARAM="mraparam.sh"

. ${I3LEGACY}/run/i3setup.sh defs ${1}

# use raw positions, after multiref-alignment (mra), or after class alignment (ali)
case "${2:-sel}" in
  raw) i3d="${I3D}"; set="${SET}-raw"; x=${3}; y=${4}; z=${5} ;; 
  mra) i3d="${I3D}"; set="${SET}-mra"; x=${3}; y=${4}; z=${5} ;;
  cls) i3d="${CLS}.i3d"; set="${CLS}-$( printf "%03u" ${3} )"; x=${5}; y=${6}; z=${7}; if [ $# -lt 6 ]; then echo "$( basename ${0} ): invalid class specification" >&2; exit 1; fi ;;
  sel) i3d="${PRFX}-ali.i3d"; set="${SET}-ali"; x=${3}; y=${4}; z=${5} ;;
  *) echo "$( basename ${0} ): unknown mode ${2}" >&2; exit 1 ;;
esac

# remap

cd ${DIR}

if [ ${2} = cls ]; then
  i3datalist -cls ${i3d} ${set} | awk -v c=${4} ' $18 == c '
else
  i3datalist ${i3d} ${set}
fi |
awk -v dim=${DIM} '
  dim == 2 { print $1, $2 + $4, $3 + $5, $6, $7, $8, $9 }
  dim == 3 { print $1, $2 + $5, $3 + $6, $4 + $7, $8, $9, $10, $11, $12, $13, $14, $15, $16 }
' |
while read id T; do
  T1=$( i3trf inv ${T} )
  echo ${id} $( i3trf ${T1} coo ${x} ${y} ${z} )
done
