#!/bin/sh


# This transformation defines the motif coordinate system in such a way that
# the motif z-axis is oriented along the map y-axis.
TRANSF="1 0 0  0 0 -1  0 1 0"


# data definitions

MAPS="../defs/maps"
SETS="../defs/sets"

set -e

# for all subsets

cat ${SETS} |
while read map subset; do

  awk -v s="${subset}" -v t="${TRANSF}" '
    !/^[ \t]*$/ {
# first three numbers are x, y, z coordinates, separated by space
      x = $1
      y = $2
      z = $3
# create trf list
      ix = int( x ); iy = int( y ); iz = int( z )
      dx = x - ix;   dy = y - iy;   dz = z - iz
      printf( "%s %d %d %d  %f %f %f  %s\n", s, ix, iy, iz, dx, dy, dz, t )
    }
  ' ${subset}.pos >${subset}.trf

done
