#!/bin/bash
#
# i3fsc.sh  version 2.1  Fourier shell correlation
#
#

set -e

[ "${FSCMSKOPT1}${FSCMSKOPT2}${FSCMSKOPT3}" ] || exit 0

if [ ${2} ]; then

  set="${SET}-ali"

  app="${PRFX}-ali"

  i3d="${app}.i3d"

else

  set="${SET}-${1}"

  i3d="${I3D}"

fi

avg=${set}-avg

unset wopt

if [ "w${WDGCOMP}" = wtrue -a ${DIM} = 3 ]; then

  i3window -clp -eoa -wdg -wno -s ${MOTIFSIZE} -d ${SAMPFACT} ${i3d} ${set} ${avg}.img ${avg}.wgt

  i3unstack.sh ${avg}.wgt

  i3compute ${avg}-aeo.wgt = ${avg}01.img \* ${avg}02.img
  rm -f ${avg}0[012].img ${avg}.wgt

  wopt="-wdg ${avg}-aeo.wgt"

else

  i3window -clp -eoa -s ${MOTIFSIZE} -d ${SAMPFACT} ${i3d} ${set} ${avg}.img

fi

i3unstack.sh ${avg}.img

mv -f ${avg}00.img ${avg}.img
mv ${avg}01.img ${set}-aev.img
mv ${avg}02.img ${set}-aod.img

[ "${FSCMSKOPT1}" ] && i3mask ${FSCMSKOPT1} ${set}-aev.img
[ "${FSCMSKOPT2}" ] && i3mask ${FSCMSKOPT2} ${set}-aev.img
[ "${FSCMSKOPT3}" ] && i3mask ${FSCMSKOPT3} ${set}-aev.img

[ "${FSCMSKOPT1}" ] && i3mask ${FSCMSKOPT1} ${set}-aod.img
[ "${FSCMSKOPT2}" ] && i3mask ${FSCMSKOPT2} ${set}-aod.img
[ "${FSCMSKOPT3}" ] && i3mask ${FSCMSKOPT3} ${set}-aod.img

i3fsc ${wopt} ${set}-aev.img ${set}-aod.img ${set}-fsc.dat

awk '{ print $1, $2 }' ${set}-fsc.dat |
graph -T ps -L ${set} -C \
  --title-font-size 0.03 \
  --symbol-font-name Helvetica-Bold --font-size 0.025 \
  -w 0.8 -h 0.9 -r 0.1 -u 0.0 -m 1 \
  >${set}-fsc.ps
