#!/bin/bash
#
# i3init.sh  version 2.2  initialize database
#

set -e

i3create ${I3D}

cat ${MAPS} |
while read dir map tlt A; do
  set -e
  i3external ${I3D} ${map}
done

cat ${SETS} |
while read map subset; do
  set -e
  trffile=../${TRFDIR}/${subset}.trf
  awk -v d=${DIM} '{ if ( d == 3 ) { print $2, $3, $4 } else { print $2, $3 } }' ${trffile} |
  i3boximport ${I3D} ${map} - ${subset}
done

# define tilt axes

if [ ${DIM} = 3 ]; then
  i3wedge.sh
fi

# map transformation
cat ${MAPS} |
while read dir map tlt A; do
  if [ "${A}" ]; then
    i3transf -dim ${DIM} -A ${A} ${I3D} ${map}
  fi
done


# define alignment set from subsets

unset opt
cat ${SETS} |
while read map subset; do
  set -e
  aliset=${PRFX}-${subset}
  trffile=../${TRFDIR}/${subset}.trf
  awk '{ $1 = ""; print } ' ${trffile} |
  i3dataset ${opt} ${I3D} ${SET}-raw ${subset} -
  opt="-add"
done
