#!/bin/bash
#
# i3msasvd.sh  version 2.2  calculate singular value decomposition
#

set -e

# msa stack file
msastack="${1}"

# msa mask
msamask="${2}"

# singular value decomposition
i3svd -log -sv ${MSAFACT:-40} \
  -mask ${msamask} \
  ${msastack} \
  ${PRFX}.sv \
  ${PRFX}.rsv \
  ${PRFX}.coo \
  2>&1 |
tee ${PRFX}-svd.log |
awk '
  /%$/ { print $2,$3,substr($4,1,length($4)-1) }
' >${PRFX}-svd.dat

if [ ! x${MSAIMGKEEP} = xtrue ]; then
 rm -f ${msastack}
fi

if [ x${MSAMONT} = xtrue ]; then

  i3montage -col ${MSAMONTCOL:-10} ${PRFX}.rsv ${PRFX}-mont.rsv

  if [ ${DIM} = 3 -a y${YPERM} = ytrue ]; then
    i3permute -perm 1 0 0 0 0 1 0 -1 0 ${PRFX}.rsv ${PRFX}-y.rsv
    i3montage -col ${MSAMONTCOL:-10} ${PRFX}-y.rsv ${PRFX}-y-mont.rsv
    rm -f ${PRFX}-y.rsv
  fi

fi
