#!/bin/bash
#
# i3reference.sh  version 2.2  create reference for multireference alignment
#
#

set -e

img="${1:-${SET}-raw-totsum.img}"

if [ ${img} = sel ]; then
  img="${PRFX}-ref-sel.img"
fi

# apply Fourier space filter and image mask

fou=${PRFX}-ref.fou

ref=${PRFX}-ref.img

i3fourier -zm ${img} ${fou}

i3mask -md ${REFLOWPASS} -ms ${REFLOWAPO} ${fou}

i3mask -minv -md ${REFHIPASS} -ms ${REFHIAPO} ${fou}

if [ ! x${REFFILT} = x ]; then
  i3compute ${fou} \* ${REFFILT}
fi

i3fourier -inv -c ${fou} ${ref}

[ "${REFMSKOPT1}" ] && i3mask ${REFMSKOPT1} ${ref}
[ "${REFMSKOPT2}" ] && i3mask ${REFMSKOPT2} ${ref}
[ "${REFMSKOPT3}" ] && i3mask ${REFMSKOPT3} ${ref}

# normalize to std.dev 1
i3compute ${ref} -mean
i3compute ${ref} /rms

# final Fourier transform for input to the alignment program
i3fourier -zm ${ref} ${fou}

# montages
if [ x${REFMONT} = xtrue ]; then
  i3montage -col ${REFMONTCOL:-10} ${ref} ${PRFX}-ref-mont.img
  if [ ${DIM} = 3 -a y${YPERM} = ytrue ]; then
    i3permute -perm 1 0 0 0 0 1 0 -1 0 ${ref} ${PRFX}-ref-y.img
    i3montage -col ${REFMONTCOL:-10} ${PRFX}-ref-y.img ${PRFX}-ref-y-mont.img
    rm -f ${PRFX}-ref-y.img
  fi
fi
