#!/bin/sh

[ $# -ne 2 ] && { echo "usage: $( basename $0 ) width apod" >&2; exit 1; }


# filter diameter ( 0 < w < 1 )
w=${1}

# filter apodization
a=${2}

gnuplot -p <<DATA
w=${w}
a=${a}
unset key
set xlabel "Spatial Frequency"
set ylabel "Weight"
set xtics 0.1
set xrange [ -0.5 : 0.5 ]
set yrange [ -0.1 : 1.1 ]
set samples 1000
t = 2.0 * a / w
plot 1 - 0.5 * ( erf( ( 2.0 * x / w + 1.0 ) / t ) - erf( ( 2.0 * x / w - 1.0 ) / t ) )
DATA
